Skip to main content
GET
/
v1
/
metrics
/
token-price-usd
Token Price Usd
curl --request GET \
  --url https://api.blockworks.com/v1/metrics/token-price-usd \
  --header 'x-api-key: <api-key>'
{
  "projectName": [
    {
      "date": "2025-08-10",
      "value": 123456.789
    },
    {
      "date": "2025-08-11",
      "value": 234567.89
    },
    {
      "date": "2025-08-12",
      "value": 345678.901
    }
  ]
}

Overview

  • Denomination: USD
  • Type: USD Value
  • Interval: Daily
  • Source: Blockworks

Example Request

curl -H "x-api-key: YOUR_API_KEY" \
  "https://api.blockworks.com/v1/metrics/token-price-usd?project=solana"

Example Response

{
  "solana": [
    {
      "date": "2026-02-19",
      "value": 81.56982638888887
    },
    {
      "date": "2026-02-18",
      "value": 83.51291666666664
    },
    {
      "date": "2026-02-17",
      "value": 85.50243055555555
    },
    {
      "date": "2026-02-16",
      "value": 85.22340277777779
    },
    {
      "date": "2026-02-15",
      "value": 87.96843750000001
    }
  ]
}

Notes

  • Intervals are daily unless otherwise noted.
  • Data is updated daily and may be revised after late-arriving data.

Authorizations

x-api-key
string
header
required

Query Parameters

project
enum<string>
required

Project slug (comma-separated for multiple).

Available options:
arbitrum,
ethereum,
fogo,
solana
Example:

"arbitrum"

start_date
string<date>

Start date (YYYY-MM-DD)

end_date
string<date>

End date (YYYY-MM-DD)

Response

OK

{key}
object[]